---
title: Update a Story Schedule
description: Update a publishing schedule by the numeric ID.
url: https://storyblok.com/docs/api/management/scheduling-stories/update-a-story-schedule
---

# Update a Story Schedule

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/story_schedulings/:story_scheduling_id
```

Update a publishing schedule by the numeric ID.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:story_scheduling_id` (required) (number)
    
    Numeric ID of a story scheduling object
    

## Request body properties

-   `story_scheduling` (The Story Scheduling Object)
    
    A single [story scheduling](/docs/api/management/scheduling-stories/retrieve-one-story-schedule) object.
    

## Response properties

-   `story_scheduling` (The Story Scheduling Object)
    
    A single [story scheduling](/docs/api/management/scheduling-stories/retrieve-one-story-schedule) object.
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings/123" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"story_scheduling\":{\"publish_at\":\"2024-08-26T06:56:00.000Z\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/story_schedulings/123', {
        "story_scheduling": {
          "publish_at": "2024-08-26T06:56:00.000Z"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["story_scheduling" => ["publish_at" => "2024-08-26T06 => 56 => 00.000Z"]];
    
    $client->put('spaces/288868932106293/story_schedulings/123', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings/123")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"story_scheduling":{"publish_at":"2024-08-26T06:56:00.000Z"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings/123");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"story_scheduling\":{\"publish_at\":\"2024-08-26T06:56:00.000Z\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings/123"
    
    querystring = {}
    
    payload = {"story_scheduling":{"publish_at":"2024-08-26T06:56:00.000Z"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"story_scheduling" => {"publish_at" => "2024-08-26T06 => 56 => 00.000Z"}}
    
    client.put('spaces/288868932106293/story_schedulings/123', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/story_schedulings/123")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "story_scheduling": [
            "publish_at": "2024-08-26T06:56:00.000Z",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/story_schedulings/123") {
        setBody(buildJsonObject {
            putJsonObject("story_scheduling") {
                put("publish_at", "2024-08-26T06:56:00.000Z")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Story Scheduling Object](/docs/api/management/scheduling-stories/the-story-scheduling-object)
-   [Next: Space Roles](/docs/api/management/space-roles)
